package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.EsquemaCorridaInfoDAO;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;
import com.rjconsultores.ventaboletos.entidad.EsquemaCorridaInfo;

@Repository("esquemaCorridaInfoDAO")
public class EsquemaCorridaInfoHibernateDAO extends GenericHibernateDAO<EsquemaCorridaInfo, Integer>	implements EsquemaCorridaInfoDAO {

	@Autowired
	public EsquemaCorridaInfoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<EsquemaCorridaInfo> obtenerPorEsquemaCorrida(EsquemaCorrida esquemaCorrida) {
		
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("esquemaCorrida", esquemaCorrida));
        return c.list();
	}
}
